﻿// (c) Norbert Huffschmid
// This source is subject to the Microsoft Public License (Ms-PL).
// Please see http://go.microsoft.com/fwlink/?LinkID=131993 for details.

using System;
using NProtocol.Codec;

namespace ShoutBox.Core
{
    /// <summary>
    /// Interface for incoming platform-related audio functions
    /// </summary>
    public interface IPlatformAdapterAudioIn : IPlatformAdapter
    {
        /// <summary>
        /// Fires when audio data is available
        /// </summary>
        event EventHandler<RealTimeDataEventArgs> AudioDataAvailable;


        /// <summary>
        /// Start recording
        /// </summary>
        void StartRecording();

        /// <summary>
        /// StopRecording
        /// </summary>
        void StopRecording();
    }
}
